Results 1 to 8 of 8

Thread: PHP How change to 5.6.1?

  1. #1
    Join Date
    Aug 2013
    Location
    Jundiai, São Paulo, Brazil
    Posts
    464

    Default PHP How change to 5.6.1?

    I have some machines with OpenSuse 13.2
    They are with PHP 5.6.1. They have been updated automatically.

    On a machine that I installed LEAP, the installed PHP is 5.5.14, it is older and some PHP programs are not working
    What can I do to change it to new version?

  2. #2
    Join Date
    Mar 2011
    Location
    Sauerland
    Posts
    3,878

    Default AW: PHP How change to 5.6.1?


  3. #3
    Join Date
    Aug 2013
    Location
    Jundiai, São Paulo, Brazil
    Posts
    464

    Default Re: AW: PHP How change to 5.6.1?

    Quote Originally Posted by Sauerland View Post
    OK. But there are dozens of files.
    I'll have to download all one by one ?.
    There is a method to update all at once?

  4. #4
    Join Date
    Mar 2011
    Location
    Sauerland
    Posts
    3,878

    Default AW: PHP How change to 5.6.1?

    Add that Repo:
    Code:
    zypper ar -f http://download.opensuse.org/repositories/devel:/languages:/php/openSUSE_Leap_42.1/ PHP
    Change Priority to 80:
    Code:
    zypper mr -p 80 PHP
    Change all installed Packages to Versions of that Repo:
    Code:
    zypper dup --from PHP

  5. #5
    Join Date
    Aug 2013
    Location
    Jundiai, São Paulo, Brazil
    Posts
    464

    Default Re: PHP How change to 5.6.1?

    For now, I'm trying to upgrade a machine with Opensuse 13.1
    I used these commands:
    Code:
    # Zypper ar -f http://download.opensuse.org/repositories/devel:/languages:/php/openSUSE_13.1/i586/ PHP
    Adding the 'PHP' repository ............................................ .............................................. [completed]
    The 'PHP' repository has been added successfully
    Enabled: Yes
    Automatic Update: Yes
    GPG verification: Yes
    URI: http://download.opensuse.org/repositories/devel:/languages:/php/openSUSE_13.1/i586/
    
    # Zypper mr -p 80 PHP
    The priority of the 'PHP' repository has been changed to 80.
    
    # Zypper dup --from PHP
    The following error occurred
    Getting metadata repository 'PHP' .......................................... ............................................[error]
    Valid metadata not found at specified URL
    Why am I getting this error message?

  6. #6
    Join Date
    Mar 2011
    Location
    Sauerland
    Posts
    3,878

    Default AW: PHP How change to 5.6.1?

    Code:
    Zypper ar -f http://download.opensuse.org/repositories/devel:/languages:/php/openSUSE_13.1/i586/ PHP
    1. The Command is written lower Case zypper
    2. The URL is for an Repo wrong, see my Post, yours must be without i586:
    http://download.opensuse.org/reposit.../openSUSE_13.1

    But openSUSE 13.1 is official out of Support, so maybe that Repo will bee deleted soon. (Evergreen is not official.....)

  7. #7
    Join Date
    Aug 2013
    Location
    Jundiai, São Paulo, Brazil
    Posts
    464

    Default Re: PHP How change to 5.6.1?

    On a machine that I installed LEAP, the installed PHP is 5.5.14, it is older and some PHP programs are not working
    What can I do to change it to new version?

    These commands indicated before, are not solving my problem.
    Even uninstalling PHP and APACHE, the repository versions available for installation remain the same old.

    Please, how do I install newer versions?



    Please, any idea?????

  8. #8
    Join Date
    Aug 2013
    Location
    Jundiai, São Paulo, Brazil
    Posts
    464

    Default Re: PHP How change to 5.6.1?

    phew ... the new versions 7.0.9.18.1 only came after I used zypper up php

Posting Permissions

  • You may not post new threads
  • You may not post replies
  • You may not post attachments
  • You may not edit your posts
  •